diff --context -r miniupnpd-1.6.20120121/miniupnpd.c miniupnpd-1.6.mod/miniupnpd.c
*** miniupnpd-1.6.20120121/miniupnpd.c	Sat May 28 07:11:06 2011
--- miniupnpd-1.6.mod/miniupnpd.c	Sun Jan 29 20:46:48 2012
***************
*** 653,658 ****
--- 653,662 ----
  			case UPNPPORT:
  				v->port = atoi(ary_options[i].value);
  				break;
+ 			case UPNPFRIENDLY_NAME:
+ 				strncpy(friendly_name, ary_options[i].value, FRIENDLY_NAME_MAX_LEN);
+ 				friendly_name[FRIENDLY_NAME_MAX_LEN-1] = '\0';
+ 				break;
  			case UPNPBITRATE_UP:
  				upstream_bitrate = strtoul(ary_options[i].value, 0, 0);
  				break;
***************
*** 700,705 ****
--- 704,712 ----
  				v->clean_ruleset_interval = atoi(ary_options[i].value);
  				break;
  #ifdef USE_PF
+ 			case UPNPANCHOR:
+ 				anchor_name = ary_options[i].value;;
+ 				break;
  			case UPNPQUEUE:
  				queue = ary_options[i].value;
  				break;
diff --context -r miniupnpd-1.6.20120121/miniupnpd.conf miniupnpd-1.6.mod/miniupnpd.conf
*** miniupnpd-1.6.20120121/miniupnpd.conf	Wed Dec 23 07:49:09 2009
--- miniupnpd-1.6.mod/miniupnpd.conf	Sun Jan 29 22:43:45 2012
***************
*** 37,42 ****
--- 37,45 ----
  # lease file location
  #lease_file=/var/log/upnp.leases
  
+ # name of this service
+ #friendly_name=miniupnpd
+ 
  # bitrates reported by daemon in bits per second
  bitrate_up=1000000
  bitrate_down=10000000
***************
*** 69,74 ****
--- 72,80 ----
  
  # log packets in pf
  #packet_log=no
+ 
+ # anchor name in pf
+ #anchor_name=miniupnpd
  
  # ALTQ queue in pf
  # filter rules must be used for this to be used.
diff --context -r miniupnpd-1.6.20120121/options.c miniupnpd-1.6.mod/options.c
*** miniupnpd-1.6.20120121/options.c	Mon Oct  6 22:22:02 2008
--- miniupnpd-1.6.mod/options.c	Sun Jan 29 20:22:16 2012
***************
*** 26,31 ****
--- 26,32 ----
  	{ UPNPEXT_IP,	"ext_ip" },
  	{ UPNPLISTENING_IP, "listening_ip" },
  	{ UPNPPORT, "port" },
+         { UPNPFRIENDLY_NAME, "friendly_name" },
  	{ UPNPBITRATE_UP, "bitrate_up" },
  	{ UPNPBITRATE_DOWN, "bitrate_down" },
  	{ UPNPPRESENTATIONURL, "presentation_url" },
***************
*** 46,51 ****
--- 47,53 ----
  #endif
  	{ UPNPENABLE, "enable_upnp"},
  #ifdef USE_PF
+         { UPNPANCHOR, "anchor"},
  	{ UPNPQUEUE, "queue"},
  	{ UPNPTAG, "tag"},
  #endif
diff --context -r miniupnpd-1.6.20120121/options.h miniupnpd-1.6.mod/options.h
*** miniupnpd-1.6.20120121/options.h	Mon Oct  6 22:22:02 2008
--- miniupnpd-1.6.mod/options.h	Sun Jan 29 20:21:43 2012
***************
*** 18,23 ****
--- 18,24 ----
  	UPNPEXT_IP,				/* ext_ip */
  	UPNPLISTENING_IP,		/* listening_ip */
  	UPNPPORT,				/* "port" */
+ 	UPNPFRIENDLY_NAME,		/* "friendly_name" */
  	UPNPBITRATE_UP,			/* "bitrate_up" */
  	UPNPBITRATE_DOWN,		/* "bitrate_down" */
  	UPNPPRESENTATIONURL,	/* presentation_url */
***************
*** 35,40 ****
--- 36,42 ----
  	UPNPNATCHAIN,
  #endif
  #ifdef USE_PF
+ 	UPNPANCHOR,				/* anchor */
  	UPNPQUEUE,				/* queue */
  	UPNPTAG,				/* tag */
  #endif
diff --context -r miniupnpd-1.6.20120121/pf/obsdrdr.c miniupnpd-1.6.mod/pf/obsdrdr.c
*** miniupnpd-1.6.20120121/pf/obsdrdr.c	Sat Jan 21 06:58:33 2012
--- miniupnpd-1.6.mod/pf/obsdrdr.c	Sun Jan 29 20:07:06 2012
***************
*** 101,109 ****
  	}
  }
  
- /* anchor name */
- static const char anchor_name[] = "miniupnpd";
- 
  /* /dev/pf when opened */
  static int dev = -1;
  
--- 101,106 ----
diff --context -r miniupnpd-1.6.20120121/testupnpdescgen.c miniupnpd-1.6.mod/testupnpdescgen.c
*** miniupnpd-1.6.20120121/testupnpdescgen.c	Thu May 19 07:23:26 2011
--- miniupnpd-1.6.mod/testupnpdescgen.c	Sun Jan 29 20:51:42 2012
***************
*** 16,21 ****
--- 16,22 ----
  #include "config.h"
  #include "upnpdescgen.h"
  
+ char friendly_name[] = OS_NAME " router";
  char uuidvalue[] = "uuid:12345678-0000-0000-0000-00000000abcd";
  char serialnumber[] = "12345678";
  char modelnumber[] = "1";
diff --context -r miniupnpd-1.6.20120121/upnpdescstrings.h miniupnpd-1.6.mod/upnpdescstrings.h
*** miniupnpd-1.6.20120121/upnpdescstrings.h	Fri Feb  9 19:13:21 2007
--- miniupnpd-1.6.mod/upnpdescstrings.h	Sun Jan 29 20:24:24 2012
***************
*** 10,16 ****
  #include "config.h"
  
  /* strings used in the root device xml description */
! #define ROOTDEV_FRIENDLYNAME		OS_NAME " router"
  #define ROOTDEV_MANUFACTURER		OS_NAME
  #define ROOTDEV_MANUFACTURERURL		OS_URL
  #define ROOTDEV_MODELNAME			OS_NAME " router"
--- 10,16 ----
  #include "config.h"
  
  /* strings used in the root device xml description */
! #define ROOTDEV_FRIENDLYNAME		friendly_name
  #define ROOTDEV_MANUFACTURER		OS_NAME
  #define ROOTDEV_MANUFACTURERURL		OS_URL
  #define ROOTDEV_MODELNAME			OS_NAME " router"
diff --context -r miniupnpd-1.6.20120121/upnpglobalvars.c miniupnpd-1.6.mod/upnpglobalvars.c
*** miniupnpd-1.6.20120121/upnpglobalvars.c	Sat May 28 06:47:13 2011
--- miniupnpd-1.6.mod/upnpglobalvars.c	Sun Jan 29 20:43:36 2012
***************
*** 26,31 ****
--- 26,32 ----
  /* LAN address */
  /*const char * listen_addr = 0;*/
  
+ char friendly_name[FRIENDLY_NAME_MAX_LEN] = OS_NAME " router";
  unsigned long downstream_bitrate = 0;
  unsigned long upstream_bitrate = 0;
  
***************
*** 62,67 ****
--- 63,69 ----
  unsigned int nextruletoclean_timestamp = 0;
  
  #ifdef USE_PF
+ const char * anchor_name = "miniupnpd";
  const char * queue = 0;
  const char * tag = 0;
  #endif
diff --context -r miniupnpd-1.6.20120121/upnpglobalvars.h miniupnpd-1.6.mod/upnpglobalvars.h
*** miniupnpd-1.6.20120121/upnpglobalvars.h	Sat May 28 06:47:13 2011
--- miniupnpd-1.6.mod/upnpglobalvars.h	Sun Jan 29 21:15:15 2012
***************
*** 26,31 ****
--- 26,33 ----
  extern const char * use_ext_ip_addr;
  
  /* parameters to return to upnp client when asked */
+ #define FRIENDLY_NAME_MAX_LEN (64)
+ extern char friendly_name[];
  extern unsigned long downstream_bitrate;
  extern unsigned long upstream_bitrate;
  
***************
*** 83,88 ****
--- 85,91 ----
  
  #ifdef USE_PF
  /* queue and tag for PF rules */
+ extern const char * anchor_name;
  extern const char * queue;
  extern const char * tag;
  #endif
